QuattroGraphInternal::State Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
QuattroGraphInternal::State Struct Reference

the state of QuattroGraph More...

## Public Member Functions
| State ()
| constructor
void | storeGraph (std::shared_ptr< Graph > graph)
| store a graph

## Static Public Member Functions
static bool | getPattern (int id, WPSGraphicStyle::Pattern &pattern)
| returns the pattern corresponding to a pattern id between 0 and 24

## Public Attributes
int | m_version
| the file version
int | m_actualSheet
| the actual sheet id
std::multimap< int, std::shared_ptr< Graph > > | m_sheetIdToGraphMap
| a multimap sheetId to graph
std::shared_ptr< Graph > | m_actualGraph
| the actual graph
std::map< librevenge::RVNGString, WPSEmbeddedObject > | m_linkNameToObjectMap
| a map link name to object

## Detailed Description

the state of QuattroGraph

## Constructor & Destructor Documentation

## ◆ State()

QuattroGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPattern()

bool QuattroGraphInternal::State::getPattern | ( | int | id,
|  | WPSGraphicStyle::Pattern & | pattern
| ) |  |
| static

returns the pattern corresponding to a pattern id between 0 and 24

## ◆ storeGraph()

void QuattroGraphInternal::State::storeGraph | ( | std::shared_ptr< Graph > | graph | ) |
| inline

store a graph

## Member Data Documentation

## ◆ m_actualGraph

std::shared_ptr<Graph> QuattroGraphInternal::State::m_actualGraph

the actual graph

## ◆ m_actualSheet

int QuattroGraphInternal::State::m_actualSheet

the actual sheet id

## ◆ m_linkNameToObjectMap

std::map<librevenge::RVNGString,WPSEmbeddedObject> QuattroGraphInternal::State::m_linkNameToObjectMap

a map link name to object

## ◆ m_sheetIdToGraphMap

std::multimap<int, std::shared_ptr<Graph> > QuattroGraphInternal::State::m_sheetIdToGraphMap

a multimap sheetId to graph

## ◆ m_version

int QuattroGraphInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- QuattroGraph.cpp